### Function

# Gimp Vector3 add

#### Declaration [src]

    void
    gimp_vector3_add (
      GimpVector3* result,
      const GimpVector3* vector1,
      const GimpVector3* vector2
    )

#### Description [src]

Computes the sum of two 3D vectors. The resulting `GimpVector3` is stored in `result`.

#### Parameters

`result`

  Type: `GimpVector3`

  Destination for the resulting `GimpVector3`.

  The argument will be set by the function.
  The data is owned by the function.

`vector1`

  Type: `GimpVector3`

  A pointer to the first `GimpVector3`.

  The data is owned by the caller of the function.

`vector2`

  Type: `GimpVector3`

  A pointer to the second `GimpVector3`.

  The data is owned by the caller of the function.